; SOS Help
; by Joe Wingbermuehle 19980905

; This program serves two purposes:
;	-It tells you how to use SOS when on your calculator.
;	-It works as an example of how to make an SOS program.

	.nolist
	#include	"sos.inc"
	#include	"joeti83.inc"
	.org		$9327
	.list

;---------= SOS Header =---------
; This is the header required for an SOS program.
	xor	a		; One-byte instruction to show this is an SOS program
	jr	start		; jump to the start of the program (use jr z,start if
				; the program requires Install)
	.dw	$0000		; relative pointer to the libraries, use $0000 for no
				; libraries, otherwise use libraries-$9327
	.dw	description	; pointer to the descriptions

;-----> The description, zero terminated
description:
	.db	"Press ",$C1,"Y=] for help"
	.db	0

;-----> Beginning of the program
start:	call	homeup
	ld	hl,text
	call	puts
	ld	de,0*256+2
	ld	(currow),de
	call	puts
	ld	de,0*256+7
	ld	(currow),de
	call	puts
keyloop:
	call	getk
	or	a
	jr	z,keyloop
	ret	; end of the program

text:	.db	"SOS Help",0
	.db	$C1,"Y=] - Run Prog "
	.db	$C1,"->] - Next List"
	.db	$C1,"GRAPH] - Exit",0
	.db	"Press a key...",0

.end
END